class TransactionHistoryRequest {
  String porOrgacode = "";
  String mbmBkmsnumber = "";
  String sgtGntrvaluedatefrom = "";
  String sgtGntrvaluedateto = "";
  String type = "";

  TransactionHistoryRequest({
    this.porOrgacode = "",
    this.mbmBkmsnumber = "",
    this.sgtGntrvaluedatefrom = "",
    this.sgtGntrvaluedateto = "",
    this.type = "",
  });

  Map<String, dynamic> toMap() {
    return {
      'porOrgacode': porOrgacode,
      'mbmBkmsnumber': mbmBkmsnumber,
      'sgtGntrvaluedatefrom': sgtGntrvaluedatefrom,
      'sgtGntrvaluedateto': sgtGntrvaluedateto,
      'type': type,
    };
  }

  factory TransactionHistoryRequest.fromMap(Map<String, dynamic> map) {
    return TransactionHistoryRequest(
      porOrgacode: map['porOrgacode'] ?? '',
      mbmBkmsnumber: map['mbmBkmsnumber'] ?? '',
      sgtGntrvaluedatefrom: map['sgtGntrvaluedatefrom'] ?? '',
      sgtGntrvaluedateto: map['sgtGntrvaluedateto'] ?? '',
      type: map['type'] ?? 'pdf',
    );
  }

  @override
  String toString() {
    return 'TransactionHistoryRequest{porOrgacode: $porOrgacode, mbmBkmsnumber: $mbmBkmsnumber, sgtGntrvaluedatefrom: $sgtGntrvaluedatefrom, sgtGntrvaluedateto: $sgtGntrvaluedateto, type: $type}';
  }
}
